%{?nodejs_find_provides_and_requires}

# sometimes you might need to disable tests to get it to build since tap
# depends on this
%global enable_tests 1

Name:           nodejs-minimist
Version:        0.0.1
Release:        2%{?dist}
Summary:        Parse argument options in Node.js

Group:          System Environment/Libraries
License:        MIT
URL:            http://github.com/substack/minimist
Source0:        http://registry.npmjs.org/minimist/-/minimist-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(tap)
BuildRequires:  npm(tape)
%endif

%description
%{summary}.

This module is the guts of nodejs-optimist's argument parser without all the 
fanciful decoration.

%prep
%setup -q -n package

%build
#nothing to do

%install
rm -rf %buildroot
mkdir -p %{buildroot}%{nodejs_sitelib}/minimist
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/minimist

%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
%tap test/*.js
%endif

%clean
rm -rf %buildroot

%files
%defattr(-,root,root,-)
%{nodejs_sitelib}/minimist
%doc LICENSE readme.markdown example

%changelog
* Sun Aug 18 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.0.1-2
- update to new nodejs standards

* Mon Aug 05 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.0.1-1
- initial package
